#!/python/bin

import pyfits as py
import os
import sys
import argparse
import glob

def parse_args():
    '''
    Parse line arguments
    '''

    parser = argparse.ArgumentParser()
    parser.add_argument('-f','--filename',action='store',dest='filename')
    parser.add_argument('-e','--extension',action='store',dest='extension',default='0')
    parser.add_argument('-k','--keyword',action='store',dest='keyword',default='')
    parser.add_argument('-v','--kvalue',action='store',dest='kvalue',default='')
    args = parser.parse_args()
    return args

if __name__ == "__main__":
    args = parse_args()

    if args.filename != None and args.filename.find('*') == -1:
        data = py.open(args.filename)
        #data.info()


    # find the filter name of the file

    filein = py.open(args.filename, mode='update')   # open file
    data = filein[1].data       # read data
    header0=filein[int(args.extension)].header  #read header

    print header0
    header0[args.keyword] = args.kvalue
    prihdr = filein[0].header
    filein.flush()
